> ## Documentation Index
> Fetch the complete documentation index at: https://docs.melius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auto model defaults



## OpenAPI

````yaml /api/openapi.json get /api/v1/generation/auto-model-defaults
openapi: 3.0.2
info:
  title: Melius API
  version: '1'
  description: >-
    The Melius REST API. Authenticate with an API key as a bearer token
    (`Authorization: Bearer mel_...`) and select the team to act on with the
    `x-team-id` header. Generations run through the same node + run pipeline as
    the app: create a node on a canvas, start a run, poll the run, then read the
    resulting version asset.
servers:
  - url: https://api.melius.com
security:
  - apiKey: []
    teamId: []
paths:
  /api/v1/generation/auto-model-defaults:
    get:
      tags:
        - model
      summary: Get Auto model defaults
      operationId: model.autoDefaults
      parameters: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  text:
                    type: object
                    properties:
                      model:
                        type: string
                        minLength: 1
                      variant:
                        type: string
                        minLength: 1
                      capabilities:
                        type: object
                        properties:
                          displayName:
                            type: string
                          tier:
                            type: string
                            nullable: true
                          supportedInputs:
                            type: array
                            items:
                              type: string
                              enum:
                                - image
                                - video
                          requiredInputs:
                            type: array
                            items:
                              type: string
                          optionalInputs:
                            type: array
                            items:
                              type: string
                          supportsSeed:
                            type: boolean
                          supportsAudioGeneration:
                            type: boolean
                          supportsAudioToggle:
                            type: boolean
                          supportsNegativePrompt:
                            type: boolean
                          supportedAspectRatios:
                            type: array
                            items:
                              type: string
                              enum:
                                - '21:9'
                                - '16:9'
                                - '4:3'
                                - '5:4'
                                - '3:2'
                                - '1:1'
                                - '2:3'
                                - '3:4'
                                - '4:5'
                                - '9:16'
                                - '9:21'
                          supportedDurations:
                            type: array
                            items:
                              type: number
                            nullable: true
                          supportedDurationsByResolution:
                            type: object
                            additionalProperties:
                              type: array
                              items:
                                type: number
                            nullable: true
                          supportedResolutions:
                            type: array
                            items:
                              oneOf:
                                - type: string
                                  enum:
                                    - 360p
                                    - 480p
                                    - 540p
                                    - 580p
                                    - 720p
                                    - 1080p
                                    - 1440p
                                    - 2160p
                                    - 4k
                                    - 0.5K
                                    - 1K
                                    - 2K
                                    - 4K
                                    - 1k
                                    - 2k
                                - type: string
                            nullable: true
                          supportsCustomResolution:
                            type: boolean
                          maxImageInputs:
                            type: number
                            nullable: true
                          maxReferenceImageInputs:
                            type: number
                            nullable: true
                          maxReferenceImagesWithEndImage:
                            type: number
                            nullable: true
                          maxVideoInputs:
                            type: number
                            nullable: true
                          maxAudioInputs:
                            type: number
                            nullable: true
                          maxNativeOutputs:
                            type: number
                            nullable: true
                          maxInputArea:
                            type: number
                            nullable: true
                          minInputVideoArea:
                            type: number
                            nullable: true
                          maxInputVideoDurationSeconds:
                            type: number
                            nullable: true
                          minInputVideoDurationSeconds:
                            type: number
                            nullable: true
                          maxPromptLength:
                            type: number
                            nullable: true
                          minPromptLength:
                            type: number
                            nullable: true
                          defaultResolution:
                            oneOf:
                              - type: string
                                enum:
                                  - 360p
                                  - 480p
                                  - 540p
                                  - 580p
                                  - 720p
                                  - 1080p
                                  - 1440p
                                  - 2160p
                                  - 4k
                                  - 0.5K
                                  - 1K
                                  - 2K
                                  - 4K
                                  - 1k
                                  - 2k
                              - type: string
                          estimatedLatency:
                            type: string
                            nullable: true
                          estimatedLatencySeconds:
                            type: number
                            nullable: true
                          featuredDescription:
                            type: string
                            nullable: true
                    required:
                      - model
                      - variant
                  image:
                    type: object
                    properties:
                      textToImage:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      imageToImage:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                    required:
                      - textToImage
                      - imageToImage
                  video:
                    type: object
                    properties:
                      textToVideo:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      imageToVideo:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      videoToVideo:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                    required:
                      - textToVideo
                      - imageToVideo
                      - videoToVideo
                  audio:
                    type: object
                    properties:
                      textToSpeech:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      audioToAudio:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      textToSfx:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      textToMusic:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      speechToText:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                    required:
                      - textToSpeech
                      - audioToAudio
                      - textToSfx
                      - textToMusic
                      - speechToText
                  fast:
                    type: object
                    properties:
                      text:
                        type: object
                        properties:
                          model:
                            type: string
                            minLength: 1
                          variant:
                            type: string
                            minLength: 1
                          capabilities:
                            type: object
                            properties:
                              displayName:
                                type: string
                              tier:
                                type: string
                                nullable: true
                              supportedInputs:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - image
                                    - video
                              requiredInputs:
                                type: array
                                items:
                                  type: string
                              optionalInputs:
                                type: array
                                items:
                                  type: string
                              supportsSeed:
                                type: boolean
                              supportsAudioGeneration:
                                type: boolean
                              supportsAudioToggle:
                                type: boolean
                              supportsNegativePrompt:
                                type: boolean
                              supportedAspectRatios:
                                type: array
                                items:
                                  type: string
                                  enum:
                                    - '21:9'
                                    - '16:9'
                                    - '4:3'
                                    - '5:4'
                                    - '3:2'
                                    - '1:1'
                                    - '2:3'
                                    - '3:4'
                                    - '4:5'
                                    - '9:16'
                                    - '9:21'
                              supportedDurations:
                                type: array
                                items:
                                  type: number
                                nullable: true
                              supportedDurationsByResolution:
                                type: object
                                additionalProperties:
                                  type: array
                                  items:
                                    type: number
                                nullable: true
                              supportedResolutions:
                                type: array
                                items:
                                  oneOf:
                                    - type: string
                                      enum:
                                        - 360p
                                        - 480p
                                        - 540p
                                        - 580p
                                        - 720p
                                        - 1080p
                                        - 1440p
                                        - 2160p
                                        - 4k
                                        - 0.5K
                                        - 1K
                                        - 2K
                                        - 4K
                                        - 1k
                                        - 2k
                                    - type: string
                                nullable: true
                              supportsCustomResolution:
                                type: boolean
                              maxImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImageInputs:
                                type: number
                                nullable: true
                              maxReferenceImagesWithEndImage:
                                type: number
                                nullable: true
                              maxVideoInputs:
                                type: number
                                nullable: true
                              maxAudioInputs:
                                type: number
                                nullable: true
                              maxNativeOutputs:
                                type: number
                                nullable: true
                              maxInputArea:
                                type: number
                                nullable: true
                              minInputVideoArea:
                                type: number
                                nullable: true
                              maxInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              minInputVideoDurationSeconds:
                                type: number
                                nullable: true
                              maxPromptLength:
                                type: number
                                nullable: true
                              minPromptLength:
                                type: number
                                nullable: true
                              defaultResolution:
                                oneOf:
                                  - type: string
                                    enum:
                                      - 360p
                                      - 480p
                                      - 540p
                                      - 580p
                                      - 720p
                                      - 1080p
                                      - 1440p
                                      - 2160p
                                      - 4k
                                      - 0.5K
                                      - 1K
                                      - 2K
                                      - 4K
                                      - 1k
                                      - 2k
                                  - type: string
                              estimatedLatency:
                                type: string
                                nullable: true
                              estimatedLatencySeconds:
                                type: number
                                nullable: true
                              featuredDescription:
                                type: string
                                nullable: true
                        required:
                          - model
                          - variant
                      image:
                        type: object
                        properties:
                          textToImage:
                            type: object
                            properties:
                              model:
                                type: string
                                minLength: 1
                              variant:
                                type: string
                                minLength: 1
                              capabilities:
                                type: object
                                properties:
                                  displayName:
                                    type: string
                                  tier:
                                    type: string
                                    nullable: true
                                  supportedInputs:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                  requiredInputs:
                                    type: array
                                    items:
                                      type: string
                                  optionalInputs:
                                    type: array
                                    items:
                                      type: string
                                  supportsSeed:
                                    type: boolean
                                  supportsAudioGeneration:
                                    type: boolean
                                  supportsAudioToggle:
                                    type: boolean
                                  supportsNegativePrompt:
                                    type: boolean
                                  supportedAspectRatios:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - '21:9'
                                        - '16:9'
                                        - '4:3'
                                        - '5:4'
                                        - '3:2'
                                        - '1:1'
                                        - '2:3'
                                        - '3:4'
                                        - '4:5'
                                        - '9:16'
                                        - '9:21'
                                  supportedDurations:
                                    type: array
                                    items:
                                      type: number
                                    nullable: true
                                  supportedDurationsByResolution:
                                    type: object
                                    additionalProperties:
                                      type: array
                                      items:
                                        type: number
                                    nullable: true
                                  supportedResolutions:
                                    type: array
                                    items:
                                      oneOf:
                                        - type: string
                                          enum:
                                            - 360p
                                            - 480p
                                            - 540p
                                            - 580p
                                            - 720p
                                            - 1080p
                                            - 1440p
                                            - 2160p
                                            - 4k
                                            - 0.5K
                                            - 1K
                                            - 2K
                                            - 4K
                                            - 1k
                                            - 2k
                                        - type: string
                                    nullable: true
                                  supportsCustomResolution:
                                    type: boolean
                                  maxImageInputs:
                                    type: number
                                    nullable: true
                                  maxReferenceImageInputs:
                                    type: number
                                    nullable: true
                                  maxReferenceImagesWithEndImage:
                                    type: number
                                    nullable: true
                                  maxVideoInputs:
                                    type: number
                                    nullable: true
                                  maxAudioInputs:
                                    type: number
                                    nullable: true
                                  maxNativeOutputs:
                                    type: number
                                    nullable: true
                                  maxInputArea:
                                    type: number
                                    nullable: true
                                  minInputVideoArea:
                                    type: number
                                    nullable: true
                                  maxInputVideoDurationSeconds:
                                    type: number
                                    nullable: true
                                  minInputVideoDurationSeconds:
                                    type: number
                                    nullable: true
                                  maxPromptLength:
                                    type: number
                                    nullable: true
                                  minPromptLength:
                                    type: number
                                    nullable: true
                                  defaultResolution:
                                    oneOf:
                                      - type: string
                                        enum:
                                          - 360p
                                          - 480p
                                          - 540p
                                          - 580p
                                          - 720p
                                          - 1080p
                                          - 1440p
                                          - 2160p
                                          - 4k
                                          - 0.5K
                                          - 1K
                                          - 2K
                                          - 4K
                                          - 1k
                                          - 2k
                                      - type: string
                                  estimatedLatency:
                                    type: string
                                    nullable: true
                                  estimatedLatencySeconds:
                                    type: number
                                    nullable: true
                                  featuredDescription:
                                    type: string
                                    nullable: true
                            required:
                              - model
                              - variant
                          imageToImage:
                            type: object
                            properties:
                              model:
                                type: string
                                minLength: 1
                              variant:
                                type: string
                                minLength: 1
                              capabilities:
                                type: object
                                properties:
                                  displayName:
                                    type: string
                                  tier:
                                    type: string
                                    nullable: true
                                  supportedInputs:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - image
                                        - video
                                  requiredInputs:
                                    type: array
                                    items:
                                      type: string
                                  optionalInputs:
                                    type: array
                                    items:
                                      type: string
                                  supportsSeed:
                                    type: boolean
                                  supportsAudioGeneration:
                                    type: boolean
                                  supportsAudioToggle:
                                    type: boolean
                                  supportsNegativePrompt:
                                    type: boolean
                                  supportedAspectRatios:
                                    type: array
                                    items:
                                      type: string
                                      enum:
                                        - '21:9'
                                        - '16:9'
                                        - '4:3'
                                        - '5:4'
                                        - '3:2'
                                        - '1:1'
                                        - '2:3'
                                        - '3:4'
                                        - '4:5'
                                        - '9:16'
                                        - '9:21'
                                  supportedDurations:
                                    type: array
                                    items:
                                      type: number
[...]
